# stl_function.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_function.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _FUNCTION_H

## Functions

- template<class _Operation, class _Tp> binder1st< _Operation > bind1st (const _Operation &__fn, const _Tp &__x)
- template<class _Operation, class _Tp> binder2nd< _Operation > bind2nd (const _Operation &__fn, const _Tp &__x)
- template<class _Ret, class _Tp, class _Arg> mem_fun1_t< _Ret, _Tp, _Arg > mem_fun (_Ret(_Tp::*__f)(_Arg))
- template<class _Ret, class _Tp> mem_fun_t< _Ret, _Tp > mem_fun (_Ret(_Tp::*__f)())
- template<class _Ret, class _Tp, class _Arg> mem_fun1_ref_t< _Ret, _Tp,
  _Arg > mem_fun_ref (_Ret(_Tp::*__f)(_Arg))
- template<class _Ret, class _Tp> mem_fun_ref_t< _Ret, _Tp > mem_fun_ref (_Ret(_Tp::*__f)())
- template<class _Predicate> unary_negate< _Predicate > not1 (const _Predicate &__pred)
- template<class _Predicate> binary_negate< _Predicate > not2 (const _Predicate &__pred)
- template<class _Arg1, class _Arg2, class _Result> pointer_to_binary_function<
  _Arg1, _Arg2, _Result > ptr_fun (_Result(*__x)(_Arg1, _Arg2))
- template<class _Arg, class _Result> pointer_to_unary_function<
  _Arg, _Result > ptr_fun (_Result(*__x)(_Arg))